# makefile for HP-UX 9.0

OSTYPE = hpux

CC = cc
CFLAGS = -Ae +ESlit -O -D$(OSTYPE) -Dunix
#CC = gcc
#CFLAGS = -O -D$(OSTYPE) -Dunix
CPP = cpp -P -C

LN_EN = C
LN_SJIS = japanese
LN_EUCJP = japanese.euc
LN_FR = french

BINDIR = /usr/local/bin
MANDIR = /usr/local/man
MANEXT = 1
RM = rm -f
CP = cp -f
INSTALL = cp -f
KCC = nkf

SWITCHES = -DUSE_SCSI_WRITE -DNLS -USECURE
DEVICE_FILE = /dev/scsi/1
DEVICE_FILE_TMPL = /dev/scsi/%s
LIBDIR = /usr/local/lib/mei
NLSDIR = /usr/lib/nls/%L

LOCDIR_DELIM = /
SUPPLOBJS =
SCSI_MODULE = hpuxscsi
CAT_LOCALES = $(LN_EN) $(LN_EUCJP) $(LN_SJIS) $(LN_FR)
MAN_TARGETS = install.en install.ja
include unix.mak
