/*
	HP-UX 9.0
	SCSI device driver interface module
	Copyright 1995,1996 (C) ITO Takayuki
*/

#ifndef _HPUXSCSI_H
#define	_HPUXSCSI_H

#include	<sys/ioctl.h>
#include	<sys/diskio.h>
#include	"typedef.h"

extern unsigned	SCSIDriverStatus;
extern BYTE		SCSIStatus;
extern BYTE		SCSISenseKey;
extern BYTE		SCSISenseCode;
extern BYTE		SCSISenseCodeQ;
extern BOOL		UnitAtnRetry;
extern DWORD	blocksize;

#ifdef __cplusplus
extern "C" {
#endif

#define	Inquiry(d,b,s)	ioctl(d,SIOC_INQUIRY,(union inquiry_data *)(b))

int		_ReadWrite10	(int fd, DWORD lba, WORD count, void *buf, int func);
#define	        Read10(f,l,c,b)	_ReadWrite10(f,l,c,b,0)
#define	       Write10(f,l,c,b)	_ReadWrite10(f,l,c,b,1)
#define	WriteAndVerify(f,l,c,b)	_ReadWrite10(f,l,c,b,2)
#define	     WriteSame(f,l,c,b)	_ReadWrite10(f,l,c,b,3)

int		FormatUnit		(int fd);
int		TestUnitReady	(int fd);
int		StartStopUnit				(int fd, int flag);
int		PreventAllowMediumRemoval	(int fd, int flag);
int		ReadCapacity	(int fd, DWORD *buf);
int		ModeSense		(int fd, BYTE *buf, int buflen);

#ifdef __cplusplus
}
#endif

#endif

