/*
	A poor subset implementation on MS-DOS
	of the XPG NLS message catalog system
	Copyright 1995,1996 (C) Ito Takayuki
*/

#ifndef	_MSGCAT_INCLUDED
#define _MSGCAT_INCLUDED

#include	"typedef.h"

#define	NL_CAT_LOCALE	1

#define	NL_CATDMIN	1
#define	NL_CATDMAX	10
#define	NL_SETMIN	1
#define	NL_SETMAX	10
#define	NL_MSGMIN	1
#define	NL_MSGMAX	1000

#define	NL_SETD	NL_SETMIN

#define	NL_TEXTMAX	1024
#define	NL_BUFMAX	0xFFECU	/* larger value causes ENOMEM in MS-C/Quick C */

#define	MAX_SETNUM	NL_SETMAX
#define	MAX_MSGNUM	NL_MSGMAX

#define	MAX_MSGLEN	NL_TEXTMAX
#define	MAX_BUFLEN	NL_BUFMAX

#define	E_NO_SET		1001
#define	E_NO_MSG		1002
#define	E_ILLEGAL_SET	1003
#define	E_ILLEGAL_MSG	1002

typedef int	nl_catd;

#ifdef __cplusplus
extern "C" {
#endif

nl_catd	catopen		(const char *name, int oflag);
char	*catgets
(nl_catd catd, int set_num, int msg_num, const char *def_str);
int		catclose	(nl_catd catd);

/* this catgetmsg() may split DBCS */
#define	catgetmsg(catd,set_num,msg_num,buf,len) \
	strncpy (buf, catgets(catd, set_num, msg_num, ""), len)

#ifdef __cplusplus
}
#endif

#endif
