# makefile for OSF/1

OSTYPE = osf1

CC = cc
CFLAGS = -w -std1 -taso -O -D$(OSTYPE) -Dunix
#CC = gcc
#CFLAGS = -O -D$(OSTYPE) -Dunix -D_ANSI_C_SOURCE
CPP = cpp -P -C

LN_EN = en_US.ISO8859-1
LN_SJIS = ja_JP.SJIS
LN_EUCJP = ja_JP.eucJP
LN_FR = fr_FR.ISO8859-1

BINDIR = /usr/local/bin
MANDIR = /usr/local/man
MANEXT = 1
RM = rm -f
CP = cp -f
INSTALL = cp -f
KCC = nkf

SWITCHES = -DUSE_SCSI_WRITE -DNLS -USECURE
DEVICE_FILE = /dev/cam
LIBDIR = /usr/local/lib/mei
NLSDIR = /usr/lib/nls/msg/%L

LOCDIR_DELIM = .
SUPPLOBJS =
SCSI_MODULE = osf1scsi
CAT_LOCALES = $(LN_EN) $(LN_EUCJP) $(LN_SJIS) $(LN_FR)
MAN_TARGETS = install.en install.ja
include unix.mak
