# makefile for SunOS 5.x

OSTYPE = sunos5

CC = gcc
CFLAGS = -O -D$(OSTYPE) -Dunix
CPP = cpp -P -C

LN_EN = C
LN_SJIS = 
LN_EUCJP = ja
LN_FR = fr

BINDIR = /usr/local/bin
MANDIR = /usr/local/man
MANEXT = 1
RM = rm -f
CP = cp
INSTALL = cp
KCC = nkf

SWITCHES = -DUSE_SCSI_WRITE -DNLS -DSECURE
# for SPARC
DEVICE_FILE = /dev/rsd1c
DEVICE_FILE_TMPL = /dev/r%sc
# for x86
#DEVICE_FILE = /dev/rdsk/c0t3d0p0
#DEVICE_FILE_TMPL = /dev/rdsk/%sp0
LIBDIR = /usr/local/lib/mei
NLSDIR = /usr/lib/locale/%L/LC_MESSAGES

LOCDIR_DELIM = .
SUPPLOBJS =
SCSI_MODULE = sunscsi
CAT_LOCALES = $(LN_EN) $(LN_EUCJP) $(LN_FR)
MAN_TARGETS = install.en install.ja
include unix.mak
