/*
	various declarations
*/

#ifndef _TYPEDEF_H
#define _TYPEDEF_H

#if (defined __MSDOS__ || defined LSI_C) && !defined MSDOS
	#define MSDOS
#endif

typedef unsigned char		BYTE;	/*  8-bit unsigned int */
typedef unsigned short int	WORD;	/* 16-bit unsigned int */
#ifdef __alpha
typedef unsigned int		DWORD;	/* 32-bit unsigned int */
#else
typedef unsigned long int	DWORD;	/* 32-bit unsigned int */
#endif

typedef signed char			INT8;	/*  8-bit signed int */
typedef signed short int	INT16;	/* 16-bit signed int */
#ifdef __alpha
typedef	signed int			INT32;	/* 32-bit signed int */
#else
typedef signed long int		INT32;	/* 32-bit signed int */
#endif

typedef int		BOOL;

#ifndef TRUE
	#define	TRUE	1
	#define	FALSE	0
#endif

#ifndef EXIT_SUCCESS
	#define	EXIT_SUCCESS	0
	#define	EXIT_FAILURE	1
#endif

#ifndef SUCCESS
	#define	SUCCESS	0
#endif
#ifndef FAILURE
	#define	FAILURE	(-1)
#endif

#ifdef MSDOS
	#ifdef MSC
		#undef	FP_OFF
		#undef	FP_SEG
		#define	MK_FP(s,o)	((void far *) (((DWORD)(s) << 16) + (WORD)(o)))
		#define	FP_OFF(p)	((WORD)(p))
		#define	FP_SEG(p)	((WORD)((DWORD)(void far *)(p) >> 16))
		#define	FILENAME_MAX	_MAX_PATH
	#endif
	#define	_PATH_DELIM	'\\'
	#define	DA_SCSI_CHR	0xA0
	#ifdef __TURBOC__
		#define	ALLOCMEM_SUCCESS	(-1)
	#else
		#define	allocmem(x,y)	_dos_allocmem(x,y)
		#define	freemem(x)		_dos_freemem(x)
		#define	ALLOCMEM_SUCCESS	0
	#endif
#endif	/* MSDOS */

#ifdef unix
	#define	_PATH_DELIM	'/'
#endif

#endif
