# makefile for FreeBSD 2.1

OSTYPE = freebsd

CC = gcc
CFLAGS = -O -D$(OSTYPE) -Dunix
CPP = cpp -P -C

LN_EN = C
LN_SJIS = ja_JP.SJIS
LN_EUCJP = ja_JP.EUC
LN_FR = #fr_FR.ISO_8859-1

BINDIR = /usr/local/bin
MANDIR = /usr/local/man
MANEXT = 1
RM = rm -f
CP = cp -f
INSTALL = cp -f
KCC = nkf

SWITCHES = -DUSE_SCSI_WRITE -DNLS -USECURE
DEVICE_FILE = /dev/rod0.ctl
#DEVICE_FILE = /dev/rsd0.ctl
DEVICE_FILE_TMPL = /dev/r%s.ctl
LIBDIR = /usr/local/lib/mei
NLSDIR = /usr/share/nls/%L

LOCDIR_DELIM = .
SUPPLOBJS =
SCSI_MODULE = fbsdscsi
CAT_LOCALES = $(LN_EN) $(LN_EUCJP) $(LN_SJIS)
MAN_TARGETS = install.en install.ja
include unix.mak
