# makefile for SunOS 4.x

OSTYPE = sunos4

CC = gcc
CFLAGS = -O -D$(OSTYPE) -Dunix
CPP = cpp -P -C

LN_EN = C
LN_SJIS =
LN_EUCJP = japanese
LN_FR = french

BINDIR = /usr/local/bin
MANDIR = /usr/local/man
MANEXT = 1
RM = rm -f
CP = cp
INSTALL = cp
KCC = nkf

SWITCHES = -DUSE_SCSI_WRITE -UNLS -USECURE -USUN_USE_GD
DEVICE_FILE = /dev/rsd1c
#DEVICE_FILE = /dev/rgd0c
#DEVICE_FILE = /dev/rsod0c
DEVICE_FILE_TMPL = /dev/r%sc
LIBDIR = /usr/local/lib/mei
NLSDIR = /usr/lib/locale/%L/LC_MESSAGES
#NLSDIR = /usr/share/lib/locale/LC_MESSAGES/%L
#NLSDIR = /etc/locale/LC_MESSAGES/%L

LOCDIR_DELIM = /
SUPPLOBJS = perror.o
SCSI_MODULE = sunscsi
CAT_LOCALES = $(LN_EN) $(LN_EUCJP) $(LN_FR)
MAN_TARGETS = install.en install.ja
include unix.mak
