/*
	SunOS 4.x / 5.x
	SCSI device driver interface module
	Copyright 1995,1996 (C) ITO Takayuki
*/

#ifndef _SUNSCSI_H
#define	_SUNSCSI_H

#include	"typedef.h"

#define	SCSI_DIRECT_ACCESS	0
#define	SCSI_CDROM			5
#define	SCSI_MO				7

extern unsigned	SCSIDriverStatus;
extern BYTE		SCSIStatus;
extern BYTE		SCSISenseKey;
extern BYTE		SCSISenseCode;
extern BYTE		SCSISenseCodeQ;
extern BOOL		UnitAtnRetry;
extern DWORD	blocksize;

#ifdef __cplusplus
extern "C" {
#endif

int		_ReadWrite10	(int fd, DWORD lba, WORD count, void *buf, int func);
#define	        Read10(f,l,c,b)	_ReadWrite10(f,l,c,b,0)
#define	       Write10(f,l,c,b)	_ReadWrite10(f,l,c,b,1)
#define	WriteAndVerify(f,l,c,b)	_ReadWrite10(f,l,c,b,2)
#define	     WriteSame(f,l,c,b)	_ReadWrite10(f,l,c,b,3)

int	FormatUnit		(int fd);
int	TestUnitReady	(int fd);
int	ReadCapacity	(int fd, DWORD *buf);
int	RequestSense	(int fd, BYTE *buf, int buflen);
int	ModeSense		(int fd, BYTE *buf, int buflen);
int	Inquiry			(int fd, BYTE *buf, int buflen);
int	StartStopUnit				(int fd, int flag);
int	PreventAllowMediumRemoval	(int fd, int flag);

#ifdef __cplusplus
}
#endif

#endif

